Subject: Re: GMPLS Message Structures : Authors : Please Speak Up ......

From: "manoj juneja" <[email-masked]>
Date: Fri, 18 May 2001 15:31:50 -0700

Hi Yuri,
           Thanx for the response. Actually, connection Id is the term 
defined by OIF but Lightpath Id is used in the IETF draft "LDP extensions 
for O-UNI". Both are actually same.

I am still confused about the operation of waveband Id and waveband Labels.

Authors : Please speak up for waveband related doubts.

Thanks,
manoj.

>From: "Yuri Landry" <[email-masked]>
>To: [email-masked], [email-masked], [email-masked]
>Subject: Re: GMPLS Message Structures
>Date: Fri, 18 May 2001 18:08:13 -0000
>
>Mano,
>
>>            Can someone tell me the message structure of Label Request and
>>Label Mapping in GMPLS ?
>>I am confused about the presence of LightPath Id in O-UNI messages and LSP
>>Id in GMPLS messages ? Is there one-to-one mapping between these Ids or Is
>>it like that both lightPath Id and LSP Id will be carried in GMPLS 
>>messages
>>? LSP Id is not present in O-UNI messages. Can one LightPath Id be mapped 
>>to
>>multiple LSP Ids or vice versa ?
>
>I think you mean Connection ID and LSP ID. A connection ID is an ID for 
>network connection, which may consist many LSPs. For example, the virtual 
>concatenation case.
>
>A LSP may tunnel through multiple pre-established connections.
>
>
>>Also, for waveband switching, the genralized label has the format
>>(wavebandId - start label - end label).
>>When the label request message is received on incoming interface, how to
>>identify that the waveband label is requested ?
>>Is it the LSP encoding type or some other parameter in label request 
>>message
>>? If it is the Lambda encoding type then how to identify that whether a
>>lambda or waveband label is requested ?
>>
>>Also, it is mentioned that wavebandId (32 bits) is selected by the sender
>>and reused in all the subsequent messages. What all subsequent
>>messages is it mentioning to ?
>>
>>Can wavebandId be present in Label Withdraw/Release messages ?
>>
>>I am not able to workout the message structures for GMPLS.
>>
>
>To me waveband label defined in GMPLS drafts is a joke. The reason to have 
>the waveband label is that someone claimed that the waveband's order might 
>flip when going through a switch. My suggestion is don't take it seriously.
>
>>I am not sure how these drafts are at last call. Atleast it should mention
>>the message structures of various messages.
>>
>
>Agree.
>
>Regards,
>
>Yuri
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com